local AddonName, GGL_Util = ...

GoldGoblinLootDataDB = {}

local eventFrame = CreateFrame("FRAME")
eventFrame:RegisterEvent("ADDON_LOADED")

local function OnEvent(self, event, addonName)
    if addonName == AddonName then

        if not GoldGoblinLootDataDB.Locale then
            GoldGoblinLootDataDB.Locale = GetLocale()
            GoldGoblinLootDataDB["npc_names"] = GoldGoblinLootDataDB["npc_names"] or {}
            GoldGoblinLootDataDB["realm_names"] = GoldGoblinLootDataDB["realm_names"] or {}
        elseif GoldGoblinLootDataDB.Locale ~= GetLocale() then
            GoldGoblinLootDataDB.Locale = GetLocale()
            GoldGoblinLootDataDB["npc_names"] = {}
            GoldGoblinLootDataDB["realm_names"] = {}
        else
            GoldGoblinLootDataDB["npc_names"] = GoldGoblinLootDataDB["npc_names"] or {}
            GoldGoblinLootDataDB["realm_names"] = GoldGoblinLootDataDB["realm_names"] or {}
        end

        GoldGoblinLootDataDB.GameVersion = GetBuildInfo()

        eventFrame:UnregisterEvent("ADDON_LOADED")
    end
end

eventFrame:SetScript("OnEvent", OnEvent)